The officially official Devuan Forum!

You are not logged in.

#1 2019-11-28 18:33:55

Roger
Member
From: Vancouver, BC, Canada
Registered: 2019-04-06
Posts: 20  
Website

lsb-release

A question I raised under news and announcements, but the follow-up is probably more appropriate under a different topic. I have Devuan running on a virtual machine in a Windows laptop where it was installed from scratch:

       lsb_release -sir
       Devuan
       2.0

correctly reported, as I have not updated the system. But on regular desktop machies, which were transitioned from Debian:

       lsb_release -sir
       Devuan
       9

These machines are continually updated, and as a very happy Devuan user I would like them to be convinced that they are running Devuan 2.1 and to report correctly.

The problem appears to be that the package lsb-release will not update from version 9.20161125 to version 4.1+devuan2 because it requires a package distro-info-data without which it claims to be broken. I think distro-info-data should be removed, and lsb-release reinstalled to fix the problem, but I would appreciate any comments. The package distro-info-data is specific to Debian and not included on a clean install of Devuan.

This is obviously not vitally important as I have a fully functional Devuan system, but I would like it to identify itself properly.

Offline

#2 2019-11-29 03:44:48

fsmithred
Administrator
Registered: 2016-11-25
Posts: 1,287  

Re: lsb-release

I have that version of lsb-release and I don't have distro-info-data installed. You should be able to remove it. It's not listed as a Depends or even a Recommends for lsb-release. If that doesn't work, you can edit /etc/lsb-release to say whatever you want.

user@ascii:~$ apt-cache policy lsb-release
lsb-release:
  Installed: 4.1+devuan2
  Candidate: 4.1+devuan2
  Version table:
 *** 4.1+devuan2 500
        500 http://deb.devuan.org/merged ascii/main amd64 Packages
        500 http://auto.mirror.devuan.org/merged ascii/main amd64 Packages
        100 /var/lib/dpkg/status
user@ascii:~$ apt-cache policy distro-info-data
distro-info-data:
  Installed: (none)
  Candidate: 0.36
  Version table:
     0.36 500
        500 http://deb.devuan.org/merged ascii/main amd64 Packages
        500 http://auto.mirror.devuan.org/merged ascii/main amd64 Packages
user@ascii:~$ apt-cache depends lsb-release
lsb-release
  Depends: python
  Depends: python
  Recommends: apt
  Suggests: lsb
    lsb-compat

Offline

#3 2019-11-29 18:44:22

Roger
Member
From: Vancouver, BC, Canada
Registered: 2019-04-06
Posts: 20  
Website

Re: lsb-release

Thanks. It does work indeed, and the re-installed lsb_release identifies the system as Devuan 2.1

It's one of those situations where apt-get works better than aptitude which can be confused on occasion. I think the problem was version 9.20161125 was identified as being higher than 4.1+devuan2 so aptitude saw no reason to upgrade. Once 9.20161125 was gone, aptitude found the correct version from the Devuan sources.

Offline

Board footer